All Questions

Tagged with
Filter by
Sorted by
Tagged with
0 votes
1 answer
60 views

Error after upgrading Magento 2.4.3 to 2.4.5 match

syntax error, unexpected token "match", expecting variable#0 /httpdocs/vendor/composer/ClassLoader.php(432): Composer\Autoload\ClassLoader::Composer\Autoload\{closure}() #1 [internal ...
0 votes
1 answer
34 views

magento cli error after module installation by composer

i use magetno 2.2.3 . the bin/magento cli is working fine until I add a module by composer require [module name] --ignore-platform-reqs.after that it gives me a long term error : so how should I ...
1 vote
2 answers
386 views

Problem when installing module with composer

When I run the following command on my Magento 2.3.3 store I get an error: composer require fooman/pdfcustomiser-m2 This is the error I'm getting: - magento/framework 100.1.15 requires php ~5.6....
0 votes
0 answers
990 views

error satisfiable by colinmollenhour/php-redis-session-abstract[v1.4.0, v1.4.1] but these conflict with your requirements or minimum-stability

When I tried to upgrade magento from 2.2.6 to 2.3.1. I get the following error when try to run the below command: composer update the error is as follow magento/product-community-edition 2.3.1 ...
1 vote
0 answers
14 views

Composer make my web dead after installation

today i installed Composer to my SSH. But after installation my web died. I got this error Warning: require(/var/www/clients/client1/web1/web/vendor/composer/../zendframework/zend-mvc/src/autoload....
0 votes
1 answer
362 views

Error when adding trustpilot extension

Whenever I add the trustpilot extension using composer require it succeeds but afterwards when I try to use any php bin/magento command it returns it with this error: Warning: require(/home/nolimi2q/...
  • 1
2 votes
0 answers
355 views

Magento 2.3 Composer stuck while downloading https://repo.magento.com/packages.json

I have a problem since about 24 hours I guess. When I try to download Magento 2 with composer I stuck after logging with my user-credentials. The credentials are ok, it pass and go through the next ...
  • 41
0 votes
1 answer
617 views

error after "composer update"

First time I installed a module via ssh, and I accidentally make "composer update". Now my site has this error: 1 exception(s): Exception #0 (Magento\Framework\Exception\LocalizedException): Please ...
  • 125
0 votes
1 answer
577 views

Magento 2 - Stuck Checkout loader

Checkout loader gets stuck while processing an order, but the order is proceeding. I found an error in console. I have attached an image of what is happening, and a screen grab of the javascript ...
0 votes
1 answer
121 views

Magento upgrade CLI problem

I want to upgrade to Magento 2.1.9. Entered command: composer require magento/product-commu**m**ity-edition 2.1.9 --no-update After command "composer update" I've got error message: Problem 1 - ...
5 votes
5 answers
13k views

Why I'm having errors after install an update from 2.1.0 to 2.1.2 with composer?

Errors after installing update from 2.1.0 to 2.1.2 PHP Warning: require(/var/www/vendor/composer/../../app/etc/NonComposerComponentRegistration.php): failed to open stream: No such file or ...
  • 63
0 votes
2 answers
2k views

Magento 2 Autoload error after moving site on live domain

I set up my site on my test server and after moving it to my live domain, its giving me Autoload error Vendor autoload is not found. Please run 'composer install' under application root directory. ...
  • 417
2 votes
5 answers
5k views

Magento Installation Error - Magento 2

I have uploaded Magento2 source code on centos Rackspace server, and I have changed credentials whenever required, but when I run my website, I get an error like "Vendor autoload is not found. Please ...
6 votes
1 answer
1k views

Error during upgrade to Magento 2.1 from 2.0.7

Since a couple of days i try to upgrade my "native" Magento 2.0.7 I use composer as suggested by documentation : composer require magento/product-community-edition 2.1.0 --no-update; composer update; ...
  • 941
2 votes
3 answers
2k views

Composer Update Error: magento/product-community-edition 2.1.0 requires php ~5.6.0|7.0.2|~7.0.6

Trying to do an update to Magento 2.1.0 via composer and getting this weird error. Php version is 7.04 running on Ubuntu x64 composer require magento/product-community-edition 2.1.0 --no-update ./...
0 votes
1 answer
62 views

migration from magento 1.9 to magento 2.0.2 using composer

I'm trying to download magento2 from git using composer I always see this warning about Xdebug I uncomment the line zend_extension in my php.ini file but I have the same warning can any one give me ...
  • 11
2 votes
1 answer
2k views

Error failed opening

Can someone tell me what I have to do to fix it ? local:/data/web/public/app/code/community:/data/web/public/app/code/core:/data/web/public/lib:.:/usr/share/php:/usr/share/pear') in /data/web/public/...
3 votes
3 answers
14k views

Magento 2: How to solve an error when reindex by CLI?

I used Magento 2 stable version. when I run Magento setup:upgrade, following error occurred. [InvalidArgumentException] There are no commands defined in the "setup" namespace. And when I run Magento ...
0 votes
1 answer
64 views

Installing Magento 2.0 with Composer

I have generated a private key on my Magento account. But composer will only let me enter the username (public key) and won't allow me enter the password (private key). Why is this?